"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Build = void 0;
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const shelljs_1 = __importDefault(require("shelljs"));
async function Build(src, dst, docsRelativePath) {
    const navList = [];
    const dirs = fs_1.default.readdirSync(src);
    dirs.sort((a, b) => {
        const _a = Number(a.split(".")[0]);
        const _b = Number(b.split(".")[0]);
        if (_a < _b) {
            return -1;
        }
        if (_a > _b) {
            return 1;
        }
        return 0;
    });
    for (const dir of dirs) {
        buildProblem(path_1.default.join(src, dir), path_1.default.join(dst, dir), dir);
        navList.push({ [dir]: path_1.default.join(docsRelativePath, dir, "index.md") });
    }
    return navList;
}
exports.Build = Build;
async function buildProblem(src, dst, filename) {
    const mdTemplate = `# ${filename}

## Statement

??? question
    --8<-- "${src}/statement.en_US.md"

--8<-- "${src}/statement.zh_CN.md"

## Solution

=== "Cpp"
\`\`\`cpp
--8<-- "${dst}/solution.cpp"
\`\`\`
`;
    shelljs_1.default.rm("-R", `${dst}/*.md`);
    fs_1.default.writeFileSync(path_1.default.join(dst, "index.md"), mdTemplate);
}
//# sourceMappingURL=mkdocs.js.map